I got an AlphaServer DS20 and is tracking -CURRENT.  Whenever I try to compile the 
kernel, it

#/usr/sbin/config TEST
 ../../conf/files: coda/coda_fbsd.c must be optional, mandatory or standard
Your version of config(8) is out of sync with your kernel source.

so I try to update config(8) via cvs..cvs co src/usr.sbin/config..and attempt to make 
depend &&
make && make install..it complains

#make depend && make && make install
a bunch of compilation msg...
/usr/src/usr.sbin/config/mkoptions.c: In function `options':
/usr/src/usr.sbin/config/mkoptions.c:105: warning: passing arg 3 of `strncmp' with 
different width
due to prototype
cc -O -pipe -mcpu=ev4 -I. -I/usr/src/usr.sbin/config -W -Wall -ansi -pedantic 
-Wcast-align  -Wcast-qual -Wchar-subscripts -Wconversion -Winline  -Wmissing-prototypes
-Wnested-externs -Wpointer-arith  -Wredundant-decls -Wshadow -Wstrict-prototypes 
 -o config config.o main.o lang.o mkmakefile.o mkheaders.o mkoptions.o  -ll
make: don't know how to make config.1. Stop

how do i fix this?

in addition to that, i noticed that the GENERIC conf file defines CPU_TYPE as ev4 or
ev5..according to my dmesg(8), the proc is type EV6..do i just add an extra line for 

Do You Yahoo!?
Get personalized email addresses from Yahoo! Mail - only $35 
a year!  http://personal.mail.yahoo.com/

To Unsubscribe: send mail to [EMAIL PROTECTED]
with "unsubscribe freebsd-current" in the body of the message

Reply via email to